preboard_client_free
preboard_client_new
preboard_client_start_service
preboard_client_t
preboard_commit_stashbag
preboard_create_stashbag
preboard_error_t
preboard_receive
preboard_receive_with_timeout
preboard_send
PREBOARD_SERVICE_NAME
preboard_status_cb_t

## preboard_client_start_service()

LIBIMOBILEDEVICE_API preboard_error_t preboard_client_start_service | ( | idevice_t | device,
|  | preboard_client_t * | client,
|  | const char * | label )

Starts a new preboard service on the specified device and connects to it.

Parameters

  device | The device to connect to.
  client | Pointer that will point to a newly allocated preboard_client_t upon successful return. Must be freed using preboard_client_free() after use.
  label | The label to use for communication. Usually the program name. Pass NULL to disable sending the label in requests to lockdownd.

Returns
  PREBOARD_E_SUCCESS on success, or a PREBOARD_E_* error code otherwise.